Temas avanzados
Anterior |  | Próximo

## Temas avanzados

### Opcións de liña de comandos

Cando se inicia Terminal dende a liña de comandos ou dende un iniciador dun panel pódense especificar varias opcións para modificar o seu comportamento.

`--help`

  Lista as diferentes opcións de liña de comandos que soporta Terminal e sae

`--version`

  Mostrar a información da versión e saír

`--disable-server`

  Do not register with the D-BUS session message bus

`--execute` `...`

  Executa o resto da liña de comandos na terminal

`--command` `comando`

  Executar `comando` na terminal

`--working-directory` `directorio`

  Define `directorio` como directorio de traballo para a terminal

`--title` `título`

  Define `título` como título da xanela inicial de terminal

`--hold`

  Provoca que se manteña a terminal despois de que termine o comando fillo

`--display` `display`

  Open terminal window on the X screen specified by `display`.

`--geometry` `xeometría`

  Define a xeometría da última xanela especificada a `geometry`. Lea `man `X`` para obter máis información sobre como especificar xeometrías de xanela.

`--role` `rol`

  Sets the window role of the last-specified window to `role`. Applies to only one window and can be specified once for each window you create from the command line. It is mostly used for session management inside Terminal.

`--startup-id` `identificador`

  Specifies the startup notification id for the last-specified window. Used internally to forward the startup notification id when using the D-BUS service.

`--fullscreen`

  Poñer a última xanela especificada en modo pantalla completa; só se aplica a unha xanela; pode especificarse unha vez por cada xanela que se crea dende a liña de comandos.

`--maximize`

  Poñer a última xanela especificada en modo maximizado; só se aplica a unha xanela; pode especificarse unha vez por cada xanela que se crea dende a liña de comandos.

`--show-menubar`

  Activa a barra de menú para a última xanela especificada. Pode especificarse unha vez por cada xanela que se crea dende a liña de comandos.

`--hide-menubar`

  Desactiva a barra de menú para a última xanela especificada. Pode especificarse unha vez por cada xanela que se crea dende a liña de comandos.

`--show-borders`

  Activar as decoracións das xanelas para a última xanela especificada. Só se aplica a unha xanela. Pode especificarse unha vez por cada xanela que se crea dende a liña de comandos.

`--hide-borders`

  Desactivar as decoracións das xanelas para a última xanela especificada. Só se aplica a unha xanela. Pode especificarse unha vez por cada xanela que se crea dende a liña de comandos.

`--show-toolbars`

  Activar as barras de ferramentas para a última xanela especificada. Só se aplica a unha xanela. Pode especificarse unha vez por cada xanela que se crea dende a liña de comandos.

`--hide-toolbars`

  Desactivar as barras de ferramentas para a última xanela especificada. Só se aplica a unha xanela. Pode especificarse unha vez por cada xanela que se crea dende a liña de comandos.

`--tab`

  Abrir unha nova lapela na última xanela especificada. Pódese proporcionar máis dunha destas opcións.

`--window`

  Abrir unha nova xanela cunha soa lapela. Pódese proporcionar máis dunha destas opcións.

Digamos por exemplo que desexa abrir unha nova xanela de terminal con dúas lapelas, e que na primeira lapela se debe executar mutt e na segunda lapela se debe executar mc, e a xanela debe ter 80 columnas e 40 filas, para o cal pode usar o seguinte comando para iniciar Terminal:

    Terminal --geometry 80x40 --command mutt --tab --command mc

### Ficheiros e variables do contorno

Terminal uses the Basedir Specification as defined on Freedesktop.org to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

`${XDG_CONFIG_HOME}`

  O primeiro directorio no que se han buscar os ficheiros de configuración. Por defecto está definido a `~/.config/`.

`${XDG_CONFIG_DIRS}`

  A colon separated list of base directories that contain configuration data. By default the application will look in `${sysconfdir}/xdg/`. The value of `${sysconfdir}` depends on how the program was build and will often be `/etc/` for binary packages.

`${XDG_DATA_HOME}`

  A raíz de tódolos ficheiros de datos específicos do usuario. Por defecto é `~/.local/share/`.

`${XDG_DATA_DIRS}`

  A set of preference ordered base directories relative to which data files should be searched in addition to the `${XDG_DATA_HOME}` base directory. The directories should be separated with a colon.

`${XDG_CONFIG_DIRS}/Terminal/terminalrc`

  Esta é a localización do ficheiro de configuración que inclúe as preferencias que controlan o aspecto e mailo comportamento de Terminal.

`${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui`

  Este ficheiro inclúe a definición da interface de usuario para as barras de ferramentas. Se personaliza as barras de ferramentas usando o editor gráfico de barras de ferramentas, Terminal ha gardar a disposición das novas barras de ferramentas no ficheiro `${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui`.

### Opcións ocultas

Terminal offers a few hidden options to allow powerusers to control various advanced settings and to reduce the number of options in the user interface. To set any of these options, you will have to open the file `${XDG_CONFIG_HOME}/Terminal/terminalrc` in your favorite text editor and edit the section `[Configuration]`; simply create the file if it does not already exist. For example, your `terminalrc` could look like

    [Configuration]
    MiscAlwaysShowTabs=TRUE
    MiscBell=TRUE
    MiscConfirmClose=FALSE
    MiscCursorBlinks=TRUE
    MiscCursorShape=TERMINAL_CURSOR_SHAPE_BLOCK
    MiscCycleTabs=FALSE
    MiscInheritGeometry=TRUE
    MiscMouseAutohide=FALSE
    MiscTabCloseButtons=TRUE
    MiscTabCloseMiddleClick=TRUE
    MiscTabPosition=GTK_POS_TOP
    MiscHighlightUrls=TRUE

ademais de tódalas opcións que se controlan a través do diálogo de preferencias.

`MiscAlwaysShowTabs`

  If `TRUE` the tab headers will always be displayed even if only a single terminal tab is open. This option is useful if you do not want the terminal window to resize when you open a second tab. It is disabled by default.

`MiscBell`

  Enables (`MiscBell=TRUE`) or disables (`MiscBell=FALSE`) the audible terminal bell. It is disabled by default.

`MiscConfirmClose`

  Controls whether Terminal popups a confirmation dialog when the user tries to close a terminal window with multiple tabs in it. Can be either `TRUE` (the default) or `FALSE`.

`MiscCursorBlinks`

  Active esta opción para mostrar un cursor que parpadexa. Pode ser `TRUE` ou `FALSE` (o valor predeterminado).

`MiscCursorShape`

  Especifica a forma do cursor na terminal. Pode ser `TERMINAL_CURSOR_SHAPE_BLOCK` (o valor predeterminado), `TERMINAL_CURSOR_SHAPE_IBEAM` ou `TERMINAL_CURSOR_SHAPE_UNDERLINE`. Esta opción só está dispoñible cando se compilou con VTE 0.19.1 ou posterior.

`MiscCycleTabs`

  This option controls whether you can circulate through terminal tabs. That is, whether you are able to go from the last tab to the first tab using the Next Tab button from the Go menu (or the associated keyboard shortcut), and from the first tab to the last tab using the Previous Tab button from the Go menu. The option can be either `TRUE` (the default) or `FALSE`.

`MiscDefaultGeometry`

  A xeometría predeterminada das novas xanelas de Terminal se non se especifica a opción `--geometry` na liña de comandos (por defecto é `80x24`).

`MiscInheritGeometry`

  This setting controls whether new windows will inherit the geometry (width and height of the active tab) from its parent window (the window from which the new window was opened). Can be either `TRUE` or `FALSE` (the default).

`MiscMouseAutohide`

  Esta opción controla se Terminal agochará o cursor do rato cando está escribindo nunha xanela da terminal. Pode ser `TRUE` ou `FALSE` (o valor predeterminado).

`MiscTabCloseButtons`

  Esta opción controla se Terminal proporciona un botón para pechar a carón do título das lapelas da terminal. Pode ser `TRUE` (o valor predeterminado) ou `FALSE`.

`MiscTabCloseMiddleClick`

  Esta opción controla se Terminal pecha unha lapela da terminal cando o usuario preme co botón central no título da lapela. Pode ser `TRUE` (o valor predeterminado) ou `FALSE`.

`MiscTabPosition`

  Specifies the position where the tab headers should be displayed. This can be either `GTK_POS_TOP` (the default), `GTK_POS_LEFT`, `GTK_POS_BOTTOM` or `GTK_POS_RIGHT`. If you specify `GTK_POS_LEFT` or `GTK_POS_RIGHT` here, the tab header texts will be displayed vertically instead of horizontally. It is highly recommended to disable `MiscTabCloseButtons` for `GTK_POS_LEFT` and `GTK_POS_RIGHT`.

`MiscHighlightUrls`

  This setting controls whether URLs - both hyperlinks and email addresses - will be highlighted in the text displayed in a terminal window. If you change this option to `FALSE`, URLs won't be highlighted anymore and you will no longer be able to middle-click the URL to open it in the preferred application.

Anterior |  | Próximo
Preferencias | Inicio | Preguntas máis frecuentes (FAQ)